#ifndef LIGHT_H


#include "camera.h"
#include "color.h"
#include "geometry.h"
#include "point.h"


// STRUCTURES
struct Light
{
    Point position;
    ColorF32 color;
    float intensity;
    float falloffConstant;
    float falloffLinear;
};


// PUBLIC FUNCTIONS
ColorF32 ComputeLight(Vertex &vert, Material &material, Light &light, Camera &camera);


#define LIGHT_H
#endif

