#include "color.h"


void ScaleColor(ColorF32 &c)
{
    float blue = MAX(c.b, 0.0f);
    float green = MAX(c.g, 0.0f);
    float red = MAX(c.r, 0.0f);
    float alpha = MAX(c.a, 0.0f);
    float max = MAX(MAX(MAX(blue,green),red),1.0f);

    ColorF32 scaled = {blue, green, red, alpha};
    scaled /= max;

    c.b = scaled.b;
    c.g = scaled.g;
    c.r = scaled.r;
    c.a = scaled.a;
}

